List organization tasks

Returns a paginated list of tasks for the current organization. Intended for client users with organization.manage permission (Example: org admins). Use this to see all tasks for the organization, not only those assigned to the caller. Supports filtering by status, category, search, and external ID, and either offset/limit or cursor-based pagination. Token scopes: tasks:read

Authentication

AuthorizationBearer
## Authentication Deel API uses API tokens to authenticate requests. A bearer token is required to authenticate all API requests. All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail. ``` curl -X GET 'api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` ### Generating Access Tokens 1. Navigate to **Apps & Perks > Developer Center**. 2. Click on the “Generate New Token” button. 3. In the popup, click “Generate Token” button to generate a new token. Your newly generated token is visible on the screen. 4. Make sure to copy and save your token once is generated. You won't be able to see it again!
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

statuseslist of enumsOptional
Filter by task statuses.
Allowed values:
categoryenumOptional
Filter by task category.
searchstringOptional
Search string for task display name or description.
external_idstringOptional

Filter by external ID (for tasks created with an external reference).

cursorstringOptional

Opaque cursor for cursor-based pagination. When provided, use with limit only (do not use offset).

limitintegerOptional1-100Defaults to 20

Maximum number of records to return (1-100).

Response

Successful response. Returns tasks for the organization
datalist of objects
List of task objects for the organization.
has_moreboolean
Flag to highlight if there are more items to be fetched.
next_cursorstring or null

Cursor to request the next page; null if there are no more pages.

total_countinteger>=0
Total number of tasks matching the filter.

Errors